Page MenuHomePhabricator

Create tables for PageAssessments in enwiki database
Closed, ResolvedPublic

Description

In preparation for deploying the new PageAssessments extension to English Wikipedia, we need the two PageAssessments tables created in the enwiki database. The schemas have already been reviewed by jcrespo, and the tables only contain public data (so it's fine to mirror them on Labs). The tables have been added to createExtensionTables.php here: https://gerrit.wikimedia.org/r/#/c/297714/ and already exist in the testwiki database (where the extension is currently deployed).

The schema files can be found here: https://github.com/wikimedia/mediawiki-extensions-PageAssessments/tree/master/db

Event Timeline

kaldari created this task.Jul 7 2016, 12:22 AM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJul 7 2016, 12:22 AM
jcrespo reassigned this task from jcrespo to kaldari.Jul 7 2016, 7:10 AM
jcrespo added a subscriber: jcrespo.

I searched the table names on mediawiki.org and found not matches. Because of the huge mess on enwiki: T54921#2428438 I am going to require 2 things:

  • Please document on mediawiki.org the tables created, in particular the conditions where those tables should exist and under which conditions they should not exist, and how to clean them up
  • Please indicate here the phabricator names of the "owners" of those tables, if in the future they need maintenance

Once that is done, assuming they contain only public data, I am not blocker. Indicate if you still want me to create them even if anybody with sql.php access can.

@jcrespo: Is something like this what you have in mind? I will be the owner of the tables. I would prefer for you to create the tables if you don't mind. Thanks!

jcrespo claimed this task.Jul 7 2016, 7:36 AM

Yes, thank you.

jcrespo triaged this task as Normal priority.Jul 7 2016, 9:05 AM
jcrespo moved this task from Triage to Backlog on the DBA board.
Niharika moved this task from Unsorted to Add / Create on the Schema-change board.Jul 7 2016, 12:33 PM
Harej moved this task from Backlog to Radar on the Reports-bot board.

@jcrespo: I would be happy to do this (for future wikis as well) if you can just let me know exactly what steps are necessary. Is it just:

  1. ssh to terbium
  2. cd to /srv/mediawiki/
  3. cd into the version of mediawiki currently running on English Wikipedia
  4. Run:
mwscript sql.php --wiki=enwiki extensions/PageAssessments/db/addProjectsTable.sql
mwscript sql.php --wiki=enwiki extensions/PageAssessments/db/addReviewsTable.sql

Anything wrong or missing with the above?

I think that need an extra parameter to run it on the master. Please seek advice regarding terbium maintenance scripts on someone else, as I never use them, I use my root privileges to manage the databases directly.

kaldari added a comment.EditedJul 22 2016, 12:15 AM

According to Reedy, all I have to do is:

  1. ssh to terbium
  2. Run:
mwscript sql.php --wiki=enwiki /srv/mediawiki/php/extensions/PageAssessments/db/addProjectsTable.sql
mwscript sql.php --wiki=enwiki /srv/mediawiki/php/extensions/PageAssessments/db/addReviewsTable.sql

and that should work. I'll give it a shot.

kaldari closed this task as Resolved.Jul 22 2016, 12:21 AM

All done.

Harej moved this task from Radar to Done on the Reports-bot board.Aug 4 2016, 2:03 PM